
Base Distribution - Task # 46857

Work Package # 45013 (Resolved): Flexible plugin integration (TODO: Reviews)

Status: Resolved Priority: Should have
Author: Marc Neuhaus Category:
Created: 2013-04-02 Assigned To: Marc Neuhaus
Updated: 2013-10-04 Due date: 2013-04-20
Subject: Provide a PluginService as central API for Plugins and PluginViews
Description

There should be an PluginService als central API to fetch Information about
existing Plugins and PluginViews.

Associated revisions
Revision 767b7e5f - 2013-10-04 17:07 - Marc Neuhaus 

[FEATURE] Add PluginService to Neos

The PluginService bundles various functions needed by
Neos Plugins and PluginViews.

Resolves: #46857
Change-Id: I01da1b03f9ed368316093f27a8947abafffa9cfc
Reviewed-on: https://review.typo3.org/19303
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-04-02 13:20 - Bastian Waidelich
- Due date set to 2013-04-20

#2 - 2013-04-04 13:54 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#3 - 2013-04-04 13:54 - Marc Neuhaus
- Status changed from New to Under Review

#4 - 2013-04-04 14:08 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#5 - 2013-04-11 00:16 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303
#6 - 2013-04-11 16:20 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#7 - 2013-04-15 11:01 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#8 - 2013-04-15 11:05 - Marc Neuhaus
- % Done changed from 0 to 90

#9 - 2013-06-06 12:11 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#10 - 2013-06-06 13:00 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#11 - 2013-06-06 13:39 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#12 - 2013-06-06 13:56 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#13 - 2013-06-07 15:34 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#14 - 2013-08-05 13:19 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#15 - 2013-08-27 12:18 - Gerrit Code Review
Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#16 - 2013-09-30 15:02 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#17 - 2013-09-30 15:51 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#18 - 2013-10-01 12:04 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#19 - 2013-10-01 18:01 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#20 - 2013-10-01 18:41 - Gerrit Code Review

Patch set 22 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#21 - 2013-10-03 18:51 - Gerrit Code Review

Patch set 23 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#22 - 2013-10-03 20:50 - Gerrit Code Review

Patch set 24 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#23 - 2013-10-04 15:53 - Gerrit Code Review

Patch set 25 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#24 - 2013-10-04 16:58 - Gerrit Code Review
Patch set 26 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19303

#25 - 2013-10-04 17:36 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:767b7e5f1a54bec883a7dd2b438a6fc6585c9600.
